package com.kingdee.eas.xr.xrbase;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractXRBizDataBaseInfo extends com.kingdee.eas.xr.xrbase.XRDataBaseInfo implements Serializable 
{
    public AbstractXRBizDataBaseInfo()
    {
        this("id");
    }
    protected AbstractXRBizDataBaseInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:XR基础资料模版's 备注property 
     */
    public String getRemake()
    {
        return getString("remake");
    }
    public void setRemake(String item)
    {
        setString("remake", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("F4FAD313");
    }
}